<div *ngIf="messageService.messages.length" style="color: crimson">
  <div *ngFor="let message of messageService.messages">{{ message }}</div>
  <button class="clear" (click)="messageService.clear()">clear</button>
</div>
